Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010659 [DCSS] Bug Report minor always 2016-09-06 19:27 2019-01-25 14:30
Reporter bsdbeard View Status public  
Assigned To ebering
Priority normal Resolution done  
Status resolved   Product Branch 0.19 ancient branch
Summary 0010659: Petrify lists success chance vs player ghosts, which can't be affected
Description When trying to use petrify vs insubstantial enemies (i.e. spectral caustic shrike, insubstantial wisp), you will see this message:

You can't see any susceptible monsters within range! (Use Z to cast anyway.)

However, when using petrify against player ghosts, that message is not displayed, it lists a % chance to affect the ghost. After casting the spell it will say:

John Doe's ghost is unaffected.

The game should emit the same message for player ghosts as for other insubstantial enemies.


Steps to reproduce:
Summon player ghost in wizmode using &m player ghost hd:1
Cast petrify
Additional Information
Tags No tags attached.
Attached Files ? file icon check-petrify-susceptibility.patch [^] (855 bytes) 2018-07-02 18:36 [Show Content]

- Relationships
related to 0011706closedebering Little-known and misleading behaviour with polymorph on ugly things, shapeshifters, undead 

-  Notes
(0031006)
silentsnack (reporter)
2016-09-13 19:21

Similar thing happens with some other enemies, like trying to paralyze/enslave a gargoyle with a wand: Displays a %chance before casting but says "unaffected" after wasting time/charges.
(0032020)
rchandra (reporter)
2018-01-07 03:05
edited on: 2018-01-07 03:07

This is still (0.21.0) the case. Other instances: wraith, catoblepas.

(0032027)
NormalPerson7 (reporter)
2018-01-08 20:39

Gargoyles are not immune to wand paralysis/enslavement.
(0032320)
stormdragon (reporter)
2018-07-02 18:43

I believe ench_flavor_affects_monster is supposed to check if a given beam type will affect a given monster, but it does not account for the Petrify beam type.

To fix this, I have uploaded a git patch using Upload File above - please let me know if this is the correct way to submit fixes.
(0032972)
ebering (developer)
2019-01-24 01:45

A much preferred way to submit fixes is to open a Github pull request; mantis gets a lot of traffic and they tend to get lost. I've assigned this issue to myself and will try to get this patch in soon.
(0032997)
stormdragon (reporter)
2019-01-24 14:22

Gotcha, thanks for letting me know.
(0032998)
ebering (developer)
2019-01-25 07:23

How do you wish to appear in CREDITS.txt?
(0032999)
ebering (developer)
2019-01-25 07:47

Merged in 0.23-a0-841-g41928f00c8

Thanks for the patch!
(0033002)
stormdragon (reporter)
2019-01-25 14:30

I get to be in the credits? Cool, thanks! David Candido.

- Issue History
Date Modified Username Field Change
2016-09-06 19:27 bsdbeard New Issue
2016-09-08 01:12 PleasingFungus Status new => confirmed
2016-09-13 19:21 silentsnack Note Added: 0031006
2018-01-07 03:05 rchandra Note Added: 0032020
2018-01-07 03:07 rchandra Note Edited: 0032020
2018-01-08 20:39 NormalPerson7 Note Added: 0032027
2018-07-02 18:36 stormdragon File Added: check-petrify-susceptibility.patch
2018-07-02 18:41 stormdragon Note Added: 0032319
2018-07-02 18:43 stormdragon Note Added: 0032320
2018-07-02 18:44 stormdragon Note Deleted: 0032319
2019-01-24 01:45 ebering Note Added: 0032972
2019-01-24 01:47 ebering Status confirmed => assigned
2019-01-24 01:47 ebering Assigned To => ebering
2019-01-24 01:59 ebering Relationship added related to 0011706
2019-01-24 14:22 stormdragon Note Added: 0032997
2019-01-25 07:23 ebering Note Added: 0032998
2019-01-25 07:47 ebering Note Added: 0032999
2019-01-25 07:47 ebering Status assigned => resolved
2019-01-25 07:47 ebering Resolution open => done
2019-01-25 14:30 stormdragon Note Added: 0033002


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker